<?php
include_once BASEDIR."itemstats/itemstats.php";

function itemstats_parse($message)
{
	$item_stats = new ItemStats();

	// Search for [item] tags, and replace them with HTML for the specified item.
	while (preg_match('#\[item\](.+?)\[/item\]#s', $message, $match))
	{
		// Grab the item name.
		$item_name = $match[1];

		// Get the proper name of this item.
		$item_name = $item_stats->getItemName($item_name, true);

		// Initialize the html.
		$item_html = '[' . $item_name . ']';

		// Get the color of this item and apply it to the html.
		$item_color = $item_stats->getItemColor($item_name);
		if (!empty($item_color))
		{
			$item_html = "<span class='" . $item_color . "'>" . $item_html . "</span>";
		}

		// Get the tooltip html for this item and apply it to the html.
		$item_tooltip_html = $item_stats->getItemTooltipHtml($item_name);
		if (!empty($item_tooltip_html))
		{
			$item_html = "<span " . $item_tooltip_html . ">" . $item_html . "</span>";
		}

		// If this item has a link to the info site, add this link to the HTML.  If it doesn't have a link, it
		// means the item hasn't been found yet, so put up a link to the update page instead.
		$item_link = $item_stats->getItemLink($item_name);
		if (!empty($item_link))
		{
			$item_html = "<a class='forumitemlink' target='_blank' href='" . $item_link . "'>" . $item_html . "</a>";
		}
		else
		{
			$item_link = 'itemstats/updateitem.php?item=' . urlencode(urlencode($item_name));
			$item_html = "<a class='forumitemlink' href='$item_link'>" . $item_html . "</a>";
		}

		// Finally, replace the bbcode with the html.
		$message = str_replace($match[0], $item_html, $message);
	}
	return $message;
}
function itemstats_parse2($news_news)
{
	$item_stats = new ItemStats();

	// Search for [item] tags, and replace them with HTML for the specified item.
	while (preg_match('#\[item\](.+?)\[/item\]#s', $news_news, $match))
	{
		// Grab the item name.
		$item_name = $match[1];

		// Get the proper name of this item.
		$item_name = $item_stats->getItemName($item_name, true);

		// Initialize the html.
		$item_html = '[' . $item_name . ']';

		// Get the color of this item and apply it to the html.
		$item_color = $item_stats->getItemColor($item_name);
		if (!empty($item_color))
		{
			$item_html = "<span class='" . $item_color . "'>" . $item_html . "</span>";
		}

		// Get the tooltip html for this item and apply it to the html.
		$item_tooltip_html = $item_stats->getItemTooltipHtml($item_name);
		if (!empty($item_tooltip_html))
		{
			$item_html = "<span " . $item_tooltip_html . ">" . $item_html . "</span>";
		}

		// If this item has a link to the info site, add this link to the HTML.  If it doesn't have a link, it
		// means the item hasn't been found yet, so put up a link to the update page instead.
		$item_link = $item_stats->getItemLink($item_name);
		if (!empty($item_link))
		{
			$item_html = "<a class='forumitemlink' target='_blank' href='" . $item_link . "'>" . $item_html . "</a>";
		}
		else
		{
			$item_link = 'itemstats/updateitem.php?item=' . urlencode(urlencode($item_name));
			$item_html = "<a class='forumitemlink' href='$item_link'>" . $item_html . "</a>";
		}

		// Finally, replace the bbcode with the html.
		$news_news = str_replace($match[0], $item_html, $news_news);
	}
	return $news_news;
}
function itemstats_parse3($previewmessage)
{
	$item_stats = new ItemStats();

	// Search for [item] tags, and replace them with HTML for the specified item.
	while (preg_match('#\[item\](.+?)\[/item\]#s', $previewmessage, $match))
	{
		// Grab the item name.
		$item_name = $match[1];

		// Get the proper name of this item.
		$item_name = $item_stats->getItemName($item_name, true);

		// Initialize the html.
		$item_html = '[' . $item_name . ']';

		// Get the color of this item and apply it to the html.
		$item_color = $item_stats->getItemColor($item_name);
		if (!empty($item_color))
		{
			$item_html = "<span class='" . $item_color . "'>" . $item_html . "</span>";
		}

		// Get the tooltip html for this item and apply it to the html.
		$item_tooltip_html = $item_stats->getItemTooltipHtml($item_name);
		if (!empty($item_tooltip_html))
		{
			$item_html = "<span " . $item_tooltip_html . ">" . $item_html . "</span>";
		}

		// If this item has a link to the info site, add this link to the HTML.  If it doesn't have a link, it
		// means the item hasn't been found yet, so put up a link to the update page instead.
		$item_link = $item_stats->getItemLink($item_name);
		if (!empty($item_link))
		{
			$item_html = "<a class='forumitemlink' target='_blank' href='" . $item_link . "'>" . $item_html . "</a>";
		}
		else
		{
			$item_link = 'itemstats/updateitem.php?item=' . urlencode(urlencode($item_name));
			$item_html = "<a class='forumitemlink' href='$item_link'>" . $item_html . "</a>";
		}

		// Finally, replace the bbcode with the html.
		$previewmessage = str_replace($match[0], $item_html, $previewmessage);
	}
	return $previewmessage;
}
function itemstats_parse4($bodypreview)
{
	$item_stats = new ItemStats();

	// Search for [item] tags, and replace them with HTML for the specified item.
	while (preg_match('#\[item\](.+?)\[/item\]#s', $bodypreview, $match))
	{
		// Grab the item name.
		$item_name = $match[1];

		// Get the proper name of this item.
		$item_name = $item_stats->getItemName($item_name, true);

		// Initialize the html.
		$item_html = '[' . $item_name . ']';

		// Get the color of this item and apply it to the html.
		$item_color = $item_stats->getItemColor($item_name);
		if (!empty($item_color))
		{
			$item_html = "<span class='" . $item_color . "'>" . $item_html . "</span>";
		}

		// Get the tooltip html for this item and apply it to the html.
		$item_tooltip_html = $item_stats->getItemTooltipHtml($item_name);
		if (!empty($item_tooltip_html))
		{
			$item_html = "<span " . $item_tooltip_html . ">" . $item_html . "</span>";
		}

		// If this item has a link to the info site, add this link to the HTML.  If it doesn't have a link, it
		// means the item hasn't been found yet, so put up a link to the update page instead.
		$item_link = $item_stats->getItemLink($item_name);
		if (!empty($item_link))
		{
			$item_html = "<a class='forumitemlink' target='_blank' href='" . $item_link . "'>" . $item_html . "</a>";
		}
		else
		{
			$item_link = 'itemstats/updateitem.php?item=' . urlencode(urlencode($item_name));
			$item_html = "<a class='forumitemlink' href='$item_link'>" . $item_html . "</a>";
		}

		// Finally, replace the bbcode with the html.
		$bodypreview = str_replace($match[0], $item_html, $bodypreview);
	}
	return $bodypreview;
}
function itemstats_parse5($body2preview)
{
	$item_stats = new ItemStats();

	// Search for [item] tags, and replace them with HTML for the specified item.
	while (preg_match('#\[item\](.+?)\[/item\]#s', $body2preview, $match))
	{
		// Grab the item name.
		$item_name = $match[1];

		// Get the proper name of this item.
		$item_name = $item_stats->getItemName($item_name, true);

		// Initialize the html.
		$item_html = '[' . $item_name . ']';

		// Get the color of this item and apply it to the html.
		$item_color = $item_stats->getItemColor($item_name);
		if (!empty($item_color))
		{
			$item_html = "<span class='" . $item_color . "'>" . $item_html . "</span>";
		}

		// Get the tooltip html for this item and apply it to the html.
		$item_tooltip_html = $item_stats->getItemTooltipHtml($item_name);
		if (!empty($item_tooltip_html))
		{
			$item_html = "<span " . $item_tooltip_html . ">" . $item_html . "</span>";
		}

		// If this item has a link to the info site, add this link to the HTML.  If it doesn't have a link, it
		// means the item hasn't been found yet, so put up a link to the update page instead.
		$item_link = $item_stats->getItemLink($item_name);
		if (!empty($item_link))
		{
			$item_html = "<a class='forumitemlink' target='_blank' href='" . $item_link . "'>" . $item_html . "</a>";
		}
		else
		{
			$item_link = 'itemstats/updateitem.php?item=' . urlencode(urlencode($item_name));
			$item_html = "<a class='forumitemlink' href='$item_link'>" . $item_html . "</a>";
		}

		// Finally, replace the bbcode with the html.
		$body2preview = str_replace($match[0], $item_html, $body2preview);
	}
	return $body2preview;
}

?>